Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.fgov.ehealth.bcp.protocol.v2
Class ObjectFactory

    java.lang.Object
      be.fgov.ehealth.bcp.protocol.v2.ObjectFactory

    public class ObjectFactory

extends Object

This object contains factory methods for each Java content interface and Java element interface generated in the be.fgov.ehealth.bcp.protocol.v2 package.

An ObjectFactory allows you to programatically construct new instances of the Java representation for XML content. The Java representation of XML content can consist of schema derived interfaces and classes representing the binding of schema type definitions, element declarations and model groups. Factory methods for each of these are provided in this class.

Constructor Summary
`ObjectFactory()` Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: be.fgov.ehealth.bcp.protocol.v2

Method Summary
`Cache` | `createCache()` Create an instance of `Cache`
`Endpoint` | `createEndpoint()` Create an instance of `Endpoint`
`EndpointList` | `createEndpointList()` Create an instance of `EndpointList`
`Expiry` | `createExpiry()` Create an instance of `Expiry`
`Key` | `createKey()` Create an instance of `Key`
`Service` | `createService()` Create an instance of `Service`
`ServiceList` | `createServiceList()` Create an instance of `ServiceList`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ObjectFactory

    public ObjectFactory()

  Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: be.fgov.ehealth.bcp.protocol.v2

Method Detail

### createServiceList

    public ServiceList createServiceList()

  Create an instance of `ServiceList`

### createService

    public Service createService()

  Create an instance of `Service`

### createCache

    public Cache createCache()

  Create an instance of `Cache`

### createKey

    public Key createKey()

  Create an instance of `Key`

### createExpiry

    public Expiry createExpiry()

  Create an instance of `Expiry`

### createEndpoint

    public Endpoint createEndpoint()

  Create an instance of `Endpoint`

### createEndpointList

    public EndpointList createEndpointList()

  Create an instance of `EndpointList`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging TECHNICAL 3.24.0-beta-4 API
Copyright © {inceptionYear}-2022 eHealth. All Rights Reserved.